﻿html, body, p, ol, ul, li, dl, dt, dd, blockquote, figure, fieldset, legend, textarea, pre, iframe, hr, h1, h2, h3, h4, h5, h6 {
    margin: 0;
    padding: 0;
}

h1, h2, h3, h4, h5, h6 {
    font-size: 100%;
    font-weight: normal;
}

ul {
    list-style: none;
}

button, input, select, textarea {
    margin: 0;
}

img, audio, video {
    height: auto;
    max-width: 100%;
}

iframe {
    border: 0;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

td, th {
    padding: 0;
    text-align: left;
}

html {
    box-sizing: border-box;
    text-size-adjust: 100%;
    font-family: sans-serif;
    font-size: 16px;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased;
    min-width: 300px;
    overflow-x: hidden;
    overflow-y: scroll;
    text-rendering: optimizeLegibility;
    -webkit-text-size-adjust: 100%;
    -moz-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
}

*, *::before, *::after {
    box-sizing: inherit;
}

body, button, input, select, textarea {
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

h1 {
    font-size: 200%;
}

h2 {
    font-size: 175%;
}

h3 {
    font-size: 150%;
}

h4 {
    font-size: 125%;
}

p {
    margin: .75rem 0;
}

.button, .input, .textarea, .select select, .file-name, .dropdown div:first-child, .radiobutton div:first-child {
    -moz-appearance: none;
    -webkit-appearance: none;
    align-items: center;
    border: 1px solid transparent;
    border-radius: 0;
    box-shadow: none;
    display: inline-flex;
    font-size: 1rem;
    height: 2.25em;
    justify-content: flex-start;
    line-height: 1.5;
    padding: calc(0.375em - 1px) calc(0.625em - 1px) calc(0.375em - 1px) calc(0.625em - 1px);
    position: relative;
    vertical-align: top;
}

.dropdown div:first-child, .radiobutton div:first-child {
    max-width: 100%;
    width: 100%;
    cursor: pointer;
}

.radiolist, .checklist {
    display: inline-flex;
    font-size: 1rem;
    justify-content: flex-start;
    height: 2.25em;
    line-height: 1.5;
    position: relative;
    max-width: 100%;
    width: 100%;
    cursor: pointer;
}

    .radiolist li, .checklist li, .radiobutton li {
        flex: 1;
        height: 2.25em;
        line-height: 2em;
        margin: auto;
        text-align: center;
    }

        .radiolist li:not(:last-child), .checklist li:not(:last-child), .radiobutton li:not(:last-child) {
            border-right: 1px solid transparent;
        }

.radiobutton ul {
    cursor: pointer;
    display: inline-flex;
    justify-content: flex-start;
    margin-top: -1px;
    width: 100%;
    max-width: 100%;
}

.button {
    text-decoration: none;
    border-radius: 4px;
}

.dropdown ul {
    border-top: none;
    max-height: 12rem;
    overflow-y: scroll;
    cursor: pointer;
    display: none;
}

.dropdown li {
    padding: calc(0.375em - 1px) calc(0.625em - 1px) calc(0.375em - 1px) calc(0.625em - 1px);
}

.input,
.textarea {
    max-width: 100%;
    width: 100%;
}

.textarea {
    display: block;
    max-width: 100%;
    min-width: 100%;
    padding: 0.625em;
    resize: vertical;
}

    .textarea:not([rows]) {
        max-height: 600px;
        min-height: 120px;
    }

    .textarea[rows] {
        height: initial;
    }

    .textarea.has-fixed-size {
        resize: none;
    }

label {
    display: block;
    font-size: 1rem;
    font-weight: bold;
}

    label:not(:last-child) {
        margin-bottom: 0.5em;
    }

    label.checkbox {
        font-weight: normal;
    }

.checkbox {
    cursor: pointer;
    display: inline-block;
    line-height: 1.25;
    position: relative;
}

    .checkbox input {
        cursor: pointer;
        margin-right: .75rem;
    }

    .checkbox[disabled] {
        cursor: not-allowed;
    }

.grid {
    max-width: 100%;
    margin: 0 auto;
    display: block;
    padding: 0;
}

.columns {
    margin: 0;
}

.column {
    display: block;
    flex-basis: 0;
    flex-grow: 1;
    flex-shrink: 1;
    padding: 0.75rem;
    /*position: relative;*/
}

.tight .column {
    padding: 0.25rem 0.75rem !important;
}

.tile {
    margin: 0;
    padding: .75rem;
}

.border-tile {
    margin: 0;
    padding: .75rem;
}

.fill-column {
    display: flex;
    align-items: stretch;
}

    .fill-column > * {
        flex: 1;
    }

.nav-horizontal {
    line-height: 32px;
    text-align: right;
}

    .nav-horizontal li {
        display: inline-block;
    }

        .nav-horizontal li a {
            padding: .55rem;
            text-decoration: none;
            border-bottom: 1px solid transparent;
        }

        .nav-horizontal li span {
            padding: .55rem;
            cursor: default;
            border-bottom: 1px solid transparent;
        }

.nav-vertical {
    margin-top: -.75rem;
    margin-bottom: -.75rem;
    list-style: none;
}

    .nav-vertical li {
        display: block;
    }

        .nav-vertical li a {
            display: block;
            padding: .75rem;
            text-decoration: none;
            border-bottom: 1px solid transparent;
        }

.arrow-down {
    position: absolute;
    right: .75rem;
    top: 50%;
    transform: translateY(-50%);
    margin-top: -3px;
}

    .arrow-down i {
        border: solid #aaa;
        border-width: 0 3px 3px 0;
        display: inline-block;
        padding: 3px;
        transform: rotate(45deg);
        -webkit-transform: rotate(45deg);
    }

.arrow-up {
    position: absolute;
    right: .75rem;
    top: 50%;
    transform: translateY(-50%);
    margin-top: 0;
}

    .arrow-up i {
        border: solid #aaa;
        border-width: 0 3px 3px 0;
        display: inline-block;
        padding: 3px;
        transform: rotate(-135deg);
        -webkit-transform: rotate(-135deg);
    }

.small-1 {
    flex: none;
    width: calc(1 / 12 * 100%);
}

.small-2 {
    flex: none;
    width: calc(2 / 12 * 100%);
}

.small-3 {
    flex: none;
    width: calc(3 / 12 * 100%);
}

.small-4 {
    flex: none;
    width: calc(4 / 12 * 100%);
}

.small-5 {
    flex: none;
    width: calc(5 / 12 * 100%);
}

.small-6 {
    flex: none;
    width: calc(6 / 12 * 100%);
}

.small-7 {
    flex: none;
    width: calc(7 / 12 * 100%);
}

.small-8 {
    flex: none;
    width: calc(8 / 12 * 100%);
}

.small-9 {
    flex: none;
    width: calc(9 / 12 * 100%);
}

.small-10 {
    flex: none;
    width: calc(10 / 12 * 100%);
}

.small-11 {
    flex: none;
    width: calc(11 / 12 * 100%);
}

.small-12 {
    flex: none;
    width: calc(12 / 12 * 100%);
}

.mobile {
    display: flex;
}

.if-small {
    display: block;
}

.if-medium {
    display: none;
}

.if-large {
    display: none;
}

.if-small-or-medium {
    display: block;
}

.if-medium-or-large {
    display: none;
}

.hidden {
    display: none;
}

/* color scheme */
a {
    color: #47aae0;
}

.dropdown div:first-child, .radiobutton div:first-child {
    background-color: white;
    border-color: #dbdbdb;
    color: #363636;
}

    .dropdown div:first-child:hover {
        border-color: #b5b5b5;
    }

small {
    color: #999;
}

.radiolist, .checklist {
    color: #363636;
}

    .radiolist li, .checklist li, .radiobutton li {
        border: 1px solid #dbdbdb;
    }

    .radiolist .selected, .checklist .selected, .radiobutton .selected {
        background-color: #e7e7e7;
        color: #363636;
    }

    .radiolist li:hover, .checklist li:hover, .radiobutton li:hover {
        background-color: #47aae0;
        color: white;
    }

.button {
    background-color: #47aae0;
    color: white;
    border-radius: 4px;
    cursor: pointer;
}

    .button:hover {
        background-color: #278ac0;
    }

.white {
    background-color: #eee !important;
    color: #444;
}

    .white:hover {
        background-color: #ddd !important;
    }

.red {
    background-color: orangered !important;
}

    .red:hover {
        background-color: #d53 !important;
    }

.dropdown ul {
    border-left: 1px solid #dbdbdb;
    border-right: 1px solid #dbdbdb;
    border-bottom: 1px solid #dbdbdb;
}

.dropdown .selected {
    background-color: #eee;
    color: #363636;
}

.dropdown li:hover {
    background-color: #47aae0;
    color: white;
}

.input,
.textarea {
    background-color: white;
    border-color: #dbdbdb;
    color: #363636;
}

    .input::-moz-placeholder,
    .textarea::-moz-placeholder {
        color: rgba(54, 54, 54, 0.3);
    }

    .input::-webkit-input-placeholder,
    .textarea::-webkit-input-placeholder {
        color: rgba(54, 54, 54, 0.3);
    }

    .input:-moz-placeholder,
    .textarea:-moz-placeholder {
        color: rgba(54, 54, 54, 0.3);
    }

    .input:-ms-input-placeholder,
    .textarea:-ms-input-placeholder {
        color: rgba(54, 54, 54, 0.3);
    }

    .input:hover, .input.is-hovered,
    .textarea:hover,
    .textarea.is-hovered {
        border-color: #b5b5b5;
    }

    .input:focus, .input.is-focused, .input:active, .input.is-active,
    .textarea:focus,
    .textarea.is-focused,
    .textarea:active,
    .textarea.is-active {
        border-color: #3273dc;
    }

    .input[disabled],
    .textarea[disabled] {
        background-color: whitesmoke;
        border-color: whitesmoke;
        box-shadow: none;
        color: #7a7a7a;
    }

        .input[disabled]::-moz-placeholder,
        .textarea[disabled]::-moz-placeholder {
            color: rgba(122, 122, 122, 0.3);
        }

        .input[disabled]::-webkit-input-placeholder,
        .textarea[disabled]::-webkit-input-placeholder {
            color: rgba(122, 122, 122, 0.3);
        }

        .input[disabled]:-moz-placeholder,
        .textarea[disabled]:-moz-placeholder {
            color: rgba(122, 122, 122, 0.3);
        }

        .input[disabled]:-ms-input-placeholder,
        .textarea[disabled]:-ms-input-placeholder {
            color: rgba(122, 122, 122, 0.3);
        }

    .input[readonly],
    .textarea[readonly] {
        box-shadow: none;
    }

label {
    color: #363636;
}

.checkbox:hover {
    color: #363636;
}

.checkbox[disabled] {
    color: #7a7a7a;
}

.tile {
    background-color: #dee;
    color: #444;
}

.border-tile {
    border: 1px solid #ddd;
}

.nav-horizontal li a {
    color: #444;
}

    .nav-horizontal li a:hover {
        border-bottom: 1px solid #47aae0;
    }

.nav-horizontal .selected a {
    border-bottom: 1px solid #ddd;
}

.nav-vertical li {
    border-top: 1px solid #ddd;
}

    .nav-vertical li a {
        color: #444;
    }

        .nav-vertical li a:hover {
            background-color: #47aae0;
            color: white;
        }

.nav-vertical .selected a {
    background-color: #eee;
    color: #444;
}

.table-scroll {
    position: relative;
    width: 100%;
    z-index: 1;
    margin: auto;
    overflow-x: auto;
    margin-top: .75rem;
}

    .table-scroll table {
        border-collapse: collapse;
        border-spacing: 0;
        min-width: 100%;
    }

    .table-scroll th,
    .table-scroll td {
        padding: 5px 10px;
        border: 1px solid #ddd;
        background: #fff;
        vertical-align: top;
    }

    .table-scroll thead th {
        position: -webkit-sticky;
        position: sticky;
        top: 0;
        white-space: nowrap;
    }

    .table-scroll tbody th {
        font-weight: normal;
    }

    .table-scroll tfoot,
    .table-scroll tfoot th,
    .table-scroll tfoot td {
        position: -webkit-sticky;
        position: sticky;
        bottom: 0;
        z-index: 4;
    }

    .table-scroll table th:first-child {
        position: -webkit-sticky;
        position: sticky;
        left: 0;
        z-index: 2;
    }

    .table-scroll table thead th:first-child,
    .table-scroll table tfoot th:first-child {
        z-index: 5;
    }

@media screen and (min-width: 850px) {
    .if-small {
        display: none !important;
    }

    .if-medium {
        display: block !important;
    }

    .if-medium-or-large {
        display: block !important;
    }

    .grid {
        padding: .75rem;
    }

    .columns {
        display: flex;
        flex-wrap: wrap;
    }

    .medium-1 {
        flex: none;
        width: calc(1 / 12 * 100%);
    }

    .medium-2 {
        flex: none;
        width: calc(2 / 12 * 100%);
    }

    .medium-3 {
        flex: none;
        width: calc(3 / 12 * 100%);
    }

    .medium-4 {
        flex: none;
        width: calc(4 / 12 * 100%);
    }

    .medium-5 {
        flex: none;
        width: calc(5 / 12 * 100%);
    }

    .medium-6 {
        flex: none;
        width: calc(6 / 12 * 100%);
    }

    .medium-7 {
        flex: none;
        width: calc(7 / 12 * 100%);
    }

    .medium-8 {
        flex: none;
        width: calc(8 / 12 * 100%);
    }

    .medium-9 {
        flex: none;
        width: calc(9 / 12 * 100%);
    }

    .medium-10 {
        flex: none;
        width: calc(10 / 12 * 100%);
    }

    .medium-11 {
        flex: none;
        width: calc(11 / 12 * 100%);
    }

    .medium-12 {
        flex: none;
        width: calc(12 / 12 * 100%);
    }
}

@media screen and (min-width: 1250px) {
    .if-medium {
        display: none !important;
    }

    .if-large {
        display: block !important;
    }

    .if-small-or-medium {
        display: none !important;
    }

    .large-1 {
        flex: none;
        width: calc(1 / 12 * 100%);
    }

    .large-2 {
        flex: none;
        width: calc(2 / 12 * 100%);
    }

    .large-3 {
        flex: none;
        width: calc(3 / 12 * 100%);
    }

    .large-4 {
        flex: none;
        width: calc(4 / 12 * 100%);
    }

    .large-5 {
        flex: none;
        width: calc(5 / 12 * 100%);
    }

    .large-6 {
        flex: none;
        width: calc(6 / 12 * 100%);
    }

    .large-7 {
        flex: none;
        width: calc(7 / 12 * 100%);
    }

    .large-8 {
        flex: none;
        width: calc(8 / 12 * 100%);
    }

    .large-9 {
        flex: none;
        width: calc(9 / 12 * 100%);
    }

    .large-10 {
        flex: none;
        width: calc(10 / 12 * 100%);
    }

    .large-11 {
        flex: none;
        width: calc(11 / 12 * 100%);
    }

    .large-12 {
        flex: none;
        width: calc(12 / 12 * 100%);
    }
}
